add script to check codingstyle
Hanno Böck

Hanno Böck commited on 2021-10-17 10:55:18
Zeige 1 geänderte Dateien mit 12 Einfügungen und 0 Löschungen.

... ...
@@ -0,0 +1,12 @@
1
+#!/bin/bash
2
+set -euo pipefail
3
+
4
+surl=$(curl -s https://api.github.com/repos/fabpot/local-php-security-checker/releases/latest | grep https://.*linux_amd64 -o)
5
+
6
+[ -e local-php-security-checker ] || curl -L $surl >local-php-security-checker
7
+[ -e php-cs-fixer ] || curl -L https://cs.symfony.com/download/php-cs-fixer-v3.phar >php-cs-fixer
8
+chmod +x local-php-security-checker php-cs-fixer
9
+
10
+./php-cs-fixer fix --rules @PSR1,@PSR2,no_whitespace_in_blank_line --dry-run --diff .
11
+
12
+./local-php-security-checker
0 13